<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.mapper.PersonInfoMapper">

    <resultMap id="BaseResultMap" type="com.ruoyi.web.domain.entity.PersonInfo">
        <id property="id" column="id" jdbcType="INTEGER"/>
        <result property="userId" column="user_id" jdbcType="BIGINT"/>
        <result property="realname" column="realname" jdbcType="VARCHAR"/>
        <result property="idCard" column="id_card" jdbcType="CHAR"/>
        <result property="ethnic" column="ethnic" jdbcType="VARCHAR"/>
        <result property="age" column="age" jdbcType="TINYINT"/>
        <result property="gender" column="gender" jdbcType="TINYINT"/>
        <result property="birthDate" column="birth_date" jdbcType="DATE"/>
        <result property="populationCategory" column="population_category" jdbcType="TINYINT"/>
        <result property="phone" column="phone" jdbcType="VARCHAR"/>
        <result property="populationTags" column="population_tags" jdbcType="VARCHAR"/>
        <result property="occupation" column="occupation" jdbcType="VARCHAR"/>
        <result property="grid" column="grid" jdbcType="INTEGER"/>
        <result property="educationLevel" column="education_level" jdbcType="VARCHAR"/>
        <result property="maritalStatus" column="marital_status" jdbcType="TINYINT"/>
        <result property="politicalStatus" column="political_status" jdbcType="VARCHAR"/>
        <result property="religion" column="religion" jdbcType="VARCHAR"/>
        <result property="photoUrl" column="photo_url" jdbcType="VARCHAR"/>
        <result property="householdId" column="household_id" jdbcType="INTEGER"/>
        <result property="householdRelation" column="household_relation" jdbcType="VARCHAR"/>
        <result property="specialIdentity" column="special_identity" jdbcType="VARCHAR"/>
        <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
        <result property="createBy" column="create_by" jdbcType="VARCHAR"/>
        <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
        <result property="updateBy" column="update_by" jdbcType="VARCHAR"/>
        <result property="delFlag" column="del_flag" jdbcType="CHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,user_id
        ,realname,id_card,
        ethnic,age,gender,
        birth_date,population_category,phone,
        population_tags,occupation,grid,
        education_level,marital_status,political_status,
        religion,photo_url,household_id,
        household_relation,special_identity,create_time,
        create_by,update_time,update_by,
        del_flag
    </sql>
</mapper>
